## setcover 0.0~git20161128.b1de791

=== Makefile ===
PROGRAM = setcover 
C_FILES := $(shell find . ! -name "Test*" -name "*.cpp")
OBJS := $(patsubst %.cpp, %.o, $(C_FILES))
CC = g++ 
CFLAGS = -Wall -m64 -ffast-math -ftree-vectorize -O3 -Wno-write-strings 
LDFLAGS =

all: $(PROGRAM)

$(PROGRAM): .depend $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $(PROGRAM)

depend: .depend

.depend: cmd = gcc -MM -MF depend $(var); cat depend >> .depend;
.depend:
	@echo "Generating dependencies..."
	@$(foreach var, $(C_FILES), $(cmd))
	@rm -f depend

-include .depend

# These are the pattern matching rules. In addition to the automatic
# variables used here, the variable $* that matches whatever % stands for
# can be useful in special cases.
%.o: %.cpp
	$(CC) $(CFLAGS) -c $< -o $@

%: %.cpp
	$(CC) $(CFLAGS) -o $@ $<

clean:
	rm -f .depend *.o

.PHONY: clean depend

=== debian/changelog ===
setcover (0.0~git20161128.b1de791-2) unstable; urgency=medium

  * Pass buildflags to build.
  * Drop ${shlibs:Depends}.
  * Drop '(c)' from debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Tue, 29 Mar 2022 01:38:04 -0400

setcover (0.0~git20161128.b1de791-1) unstable; urgency=medium

  * Initial release (Closes: #1008248)

 -- Andrius Merkys <merkys@debian.org>  Fri, 25 Mar 2022 06:32:02 -0400

=== debian/control ===
Source: setcover
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/setcover
Vcs-Git: https://salsa.debian.org/med-team/setcover.git
Homepage: https://github.com/martin-steinegger/setcover
Rules-Requires-Root: no

Package: libsetcover-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
Description: Time/Memory Linear greedy set cover
 Well-optimized linear version of the greedy set cover algorithm.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=cmdline)
	ar cr libSetCover.a SetCover.o # as needed by pufferfish

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none" \
https://github.com/martin-steinegger/setcover \
 HEAD
